Create Transcoding Filter
Create File Transcoding Filters
curl -X POST "https://api.5centscdn.com/v2/streams/settings/filters/new" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"name": "My Logo Watermark",
"filter": "overlay",
"args": "null"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/filters/new"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"name": "My Logo Watermark",
"filter": "overlay",
"args": "null"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/filters/new", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "My Logo Watermark",
"filter": "overlay",
"args": "null"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "My Logo Watermark",
"filter": "overlay",
"args": "null"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/filters/new", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/filters/new')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "My Logo Watermark",
"filter": "overlay",
"args": "null"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Transcoding Settings, New Filter Created",
"filterid": 430
}
/streams/settings/filters/new
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Display name for the new filter.
Filter type identifier. overlay = image watermark. drawtext = text watermark. img2video = use a static image as the video source. videoloop = loop a video file as the video source. Allowed values: overlay, drawtext, img2video, videoloop.
Filter-specific arguments. The key must match the filter type value and contains the settings object for that filter type.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Filter type identifier. overlay = image watermark. drawtext = text watermark. img2video = use a static image as the video source. videoloop = loop a video file as the video source. Allowed values: overlay, drawtext, img2video, videoloop.
overlayFilter-specific arguments. The key must match the filter type value and contains the settings object for that filter type.
Responses
Status of the API response.
Human-readable message describing the result.
The ID of the newly created filter.